# Interface PointSymbol3DJson

PointSymbol3D is used to render features with Point geometry in a 3D SceneView.

See https://developers.arcgis.com/web-scene-specification/objects/pointSymbol3D/.

interface PointSymbol3DJson {
callout?: CalloutJson;
styleOrigin?: {
name?: string;
styleName?: string;
styleUrl?: string;
};
symbolLayers: (IconSymbol3DLayerJson | ObjectSymbol3DLayerJson)[];
type: "PointSymbol3D";
verticalOffset?: VerticalOffsetJson;
}

#### Hierarchy (view full)

- Symbol3DJsonBase
  - PointSymbol3DJson

#####
Index

### Properties

callout?
styleOrigin?
symbolLayers
type
verticalOffset?

##
Properties

### `Optional` callout

callout?: CalloutJson

Callout configuration for a symbol.

### `Optional` styleOrigin

styleOrigin?: {
name?: string;
styleName?: string;
styleUrl?: string;
}

The origin of the style from which the symbol was originally referenced. A reference to the style origin can be either by styleName or by styleUrl (but not both). It may be used to understand where a symbol was originally sourced from, but does not affect actual appearance or rendering of the symbol. See https://developers.arcgis.com/web-scene-specification/objects/styleOrigin/.

#### Type declaration

- ##### `Optional` name?: string

  Name of the symbol in the style referenced by styleName or styleUrl.

- ##### `Optional` styleName?: string

  A well-known esri-provided style, such as EsriThematicShapesStyle.

- ##### `Optional` styleUrl?: string

  URL to a style definition Must be one of the following values: String An absolute URL String A relative path starting with "./".

### symbolLayers

symbolLayers: (IconSymbol3DLayerJson | ObjectSymbol3DLayerJson)[]

A Collection of Symbol3DLayer objects used to visualize the graphic or feature.

Overrides Symbol3DJsonBase.symbolLayers

### type

type

The type of symbol. See SymbolJsonType.

Overrides Symbol3DJsonBase.type

### `Optional` verticalOffset

verticalOffset?: VerticalOffsetJson

Shifts the symbol along the vertical world axis by a given length.